--- contrib/pg_archivecleanup/pg_archivecleanup.c.orig	2010-08-22 18:31:03.000000000 +0200
+++ contrib/pg_archivecleanup/pg_archivecleanup.c	2010-08-22 18:33:12.000000000 +0200
@@ -117,12 +117,7 @@
 			strspn(xlde->d_name, "0123456789ABCDEF") == XLOG_DATA_FNAME_LEN &&
 				strcmp(xlde->d_name + 8, exclusiveCleanupFileName + 8) < 0)
 			{
-#ifdef WIN32
-				snprintf(WALFilePath, MAXPGPATH, "%s\\%s", archiveLocation, xlde->d_name);
-#else
 				snprintf(WALFilePath, MAXPGPATH, "%s/%s", archiveLocation, xlde->d_name);
-#endif
-
 				if (debug)
 					fprintf(stderr, "%s: removing file \"%s\"\n",
 							progname, WALFilePath);
@@ -308,8 +303,10 @@
 	SetWALFileNameForCleanup();
 
 	if (debug)
-		fprintf(stderr, "%s: keep WAL file \"%s\" and later\n",
-				progname, exclusiveCleanupFileName);
+	{
+		snprintf(WALFilePath, MAXPGPATH, "%s/%s", archiveLocation, exclusiveCleanupFileName);
+		fprintf(stderr, "%s: keep WAL file \"%s\" and later\n", progname, WALFilePath);
+	}
 
 	/*
 	 * Remove WAL files older than cut-off